﻿Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub btnNovo_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnNovo.Click
        Using db As New ProdutoContexto

            Dim produto As New Produto

            produto.produtonome = txtProduto.Text
            produto.produtopreco = Convert.ToDecimal(txtPreco.Text)
            produto.produtoestoque = Convert.ToDouble(txtEstoque.Text)

            db.Produto.Add(produto)
            db.SaveChanges()
            lblmsg.Text = "Registro incluido com sucesso !"
        End Using
    End Sub

    Protected Sub btnAtualiza_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnAtualiza.Click
        Using db As New ProdutoContexto

            Dim codigoProduto As Integer = Convert.ToInt32(txtCodigo.Text)
            Dim produto As Produto = db.Produto.First(Function(p) p.produtoid = codigoProduto)
            produto.produtonome = txtProduto.Text
            produto.produtopreco = txtPreco.Text
            produto.produtoestoque = txtEstoque.Text
            db.SaveChanges()
            lblmsg.Text = "Registro atualizado com sucesso !"
        End Using
    End Sub

    Protected Sub btnProcurar_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnProcurar.Click
        lblmsg.Text = ""
        Using db As New ProdutoContexto
            Dim codigo As Integer = Convert.ToInt32(txtCodigo.Text)
            Try
                Dim produto = db.Produto.Find(codigo)
                txtCodigo.Text = produto.produtoid
                txtProduto.Text = produto.produtonome
                txtPreco.Text = produto.produtopreco
                txtEstoque.Text = produto.produtoestoque

            Catch ex As Exception
                lblmsg.Text = "Registro não localizado !"
                Limpar()
            End Try
        End Using
    End Sub

    Protected Sub btnExcluir_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnExcluir.Click
        Using db As New ProdutoContexto

            Dim codigoProduto As Integer = Convert.ToInt32(txtCodigo.Text)
            Dim produto As Produto = db.Produto.First(Function(p) p.produtoid = codigoProduto)

            db.Produto.Attach(produto)
            db.Entry(produto).State = EntityState.Deleted
            db.SaveChanges()
            lblmsg.Text = "Registro excluído com sucesso !"
        End Using
    End Sub

    Protected Sub btnLimpar_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnLimpar.Click
        Limpar()
    End Sub
    Private Sub Limpar()
        txtCodigo.Text = ""
        txtProduto.Text = ""
        txtPreco.Text = ""
        txtEstoque.Text = ""
        lblmsg.Text = ""
    End Sub
End Class